LinuxQMISDK: cdmaMsgEncodingParams Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
cdmaMsgEncodingParams Struct Reference

## Data Fields
BYTE * | pMessageSize
BYTE * | pMessage
BYTE | messageId
CHAR * | pDestAddr
CHAR * | pCallbackAddr
ULONG | textMsgLength
WORD * | pTextMsg
BYTE * | pPriority
BYTE * | pEncodingAlphabet
BYTE * | pRelValidity

## Detailed Description

Structure contains parameters for message to be encoded

Parameters

  pMessageSize[IN/OUT] | Upon input, specifies the total number of bytes that the given pMessage buffer can hold (a buffer of length 240 is recommended).Upon successful output, specifies the length of the constructed message placed in the pMessage buffer (in bytes)
  pMessage[OUT] | - The constructed raw message
  messageId[IN] | The message reference number for this message. This value should be incremented for every message the host application sends
  pDestAddr[IN] | Gives NULL-terminated ASCII String containing a destination address.International number will be prepended with a '+' character
  pCallbackAddr[IN] | Gives NULL-terminated ASCII String containing a callback address.International number will be prepended with a '+' character
  textMsgLength[IN] | Number of UCS2 characters in the text message(excluding NULL)
  pTextMsg[IN] | Text message to be encoded
  pPriority[IN](optional | parameter) Gives the priority of the outgoing message: 0 - normal (default if NULL pointer is given) 1 - interactive 2 - urgent 3 - emergency 64 - 64 is decoded value for URGENT VZAM Support interactive. 128 - 128 is decoded value for URGENT VZAM Support urgent. 192 - 128 is decoded value for URGENT VZAM Support emergency.
  pEncodingAlphabet[IN/OUT](optional | parameter) Upon input, specifies the alphabet the text message should be encoded in 0 - 8bit ASCII (not supported at this time) 1 - IS91EP (not supported at this time) 2 - 7bit ASCII (default if NULL pointer is given) 3 - IA5 (not supported at this time) 4 - unicode (not supported at this time) 5 - shift JIS (not supported at this time) 6 - korean (not supported at this time) 7 - latin hebrew (not supported at this time) 8 - latin (not supported at this time) 9 - GSM 7 bit default Upon successful output, specifies the alphabet used to encode the message.
  pRelValidity[IN](optional | parameter) Gives the relative validity period of the outgoing message 0 - Set Relative validity to 11 1 - Set Relative validity to 71 2 - Set Relative validity to 167 3 - Set Relative validity to 169 4 - Set Relative validity to 171 Values have the following meanings: 0 to 143: validity period = (value + 1)* 5 minutes 144 to 167: validity period = 12 hours + (value - 143)*30 minutes 168 to 196: validity period = (value - 166) * 1 day 197 to 244: validity period = (value - 192) * 1 week 245: validity period = indefinite

Currently only encoding of 7bit ASCII messages is supported.

## Field Documentation

BYTE cdmaMsgEncodingParams::messageId

CHAR* cdmaMsgEncodingParams::pCallbackAddr

CHAR* cdmaMsgEncodingParams::pDestAddr

BYTE* cdmaMsgEncodingParams::pEncodingAlphabet

BYTE* cdmaMsgEncodingParams::pMessage

BYTE* cdmaMsgEncodingParams::pMessageSize

BYTE* cdmaMsgEncodingParams::pPriority

BYTE* cdmaMsgEncodingParams::pRelValidity

WORD* cdmaMsgEncodingParams::pTextMsg

ULONG cdmaMsgEncodingParams::textMsgLength